if InvenSimulatorUI.class ~= "사제" then return end

function InvenSimulatorUI:InitStance()
	self:RegisterSideTab(1, nil, 2, "내면의 열정", 48168)
	if self.db.talents["암흑;어둠의 형상"] then
		self:RegisterSideTab(2, nil, 2, "어둠의 형상", 15473)
	else
		self:RegisterSideTab(2, nil, 2, "어둠의 형상")
	end
end

function InvenSimulatorUI:InitClassBuff()
	return 3, {
		"마나 깃든 예복(4 피스 효과)", 37620, "주문력 110만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("마나 깃든 예복") >= 4 end,
		"축성 제복(4 피스 효과)", 64907, "가속도 240만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("축성 제복") >= 4 end,
		"축성 의복(4 피스 효과)", 64911, "주문력 250만큼 증가", function() return InvenSimulatorUI:GetSetItemPiece("축성 의복") >= 4 end,
	}
end

function InvenSimulatorUI:ApplyTalent()
	-- 신의 권능: 인내 연마(2) 체력 +2, 4%
	self:MultiSpec("체력", "신의 권능: 인내 연마", 0.02)
	-- 강인한 정신(5) 지능 +3,6,9,12,15%
	self:MultiSpec("지능", "강인한 정신", 0.03)
	-- 깨달음(3) 정신력 +2,4,6%
	self:MultiSpec("정신력", "깨달음", 0.02)
	-- 구원의 영혼(1) 정신력 +5%
	self:MultiSpec("정신력", "구원의 영혼", 0.05)
	-- 의지 집중(3) 극대화율 +1,2,3%
	self:AddSpec("극대화율", "의지 집중", 1)
	-- 집중된 마력(2) 마법봉 데메지 +2,4% (확인 요망)
	self:MultiSpec("원거리 장비 공격력 배율", self:GetTalentPoint("집중된 마력") * 0.02)
	-- 신성 마법 전문화(5) 신성 주문 극대화율 +1,2,3,4,5% 증가
	self:AddSpec("신성 주문 극대화율", "신성 마법 전문화", 1)
end

function InvenSimulatorUI:ApplyLastTalent()
	-- 명상(3) 시전중에도 평소의 17,33,50%만큼 마나 회복 속도 증가
	if self.db.talents["수양;명상"] == 1 then
		self:AddSpec("시전 중 마나 회복량", self:GetManaRegenFromSpi() * 0.17)
	elseif self.db.talents["수양;명상"] == 2 then
		self:AddSpec("시전 중 마나 회복량", self:GetManaRegenFromSpi() * 0.33)
	elseif self.db.talents["수양;명상"] == 3 then
		self:AddSpec("시전 중 마나 회복량", self:GetManaRegenFromSpi() * 0.5)
	end
	-- 영혼의 길잡이(5) 주문력이 정신력 +5,10,15,20,25%만큼 증가
	self:AddSpec("주문 공격력", (self:GetTalentPoint("영혼의 길잡이") * 0.05) * self.specTable["정신력"])
	self:AddSpec("주문 치유량", (self:GetTalentPoint("영혼의 길잡이") * 0.05) * self.specTable["정신력"])
	-- 뒤틀린 믿음(5) 주문력이 정신력 +4,8,12,16,20%만큼 증가
	self:AddSpec("주문 공격력", (self:GetTalentPoint("뒤틀린 믿음") * 0.04) * self.specTable["정신력"])
	self:AddSpec("주문 치유량", (self:GetTalentPoint("뒤틀린 믿음") * 0.04) * self.specTable["정신력"])
	if self:GetSetItemPiece("백마법의 지혜") >= 2 then
		self:AddSpec("주문 공격력", floor(self.specTable["지능"] * 0.1))
		self:AddSpec("주문 치유량", floor(self.specTable["지능"] * 0.1))
	end
	if self:GetSetItemPiece("마법불꽃의 격노") >= 3 then
		self:AddSpec("주문 공격력", floor(self.specTable["지능"] * 0.07))
		self:AddSpec("주문 치유량", floor(self.specTable["지능"] * 0.07))
	end
	if self:GetSetItemPiece("태초의 달빛매듭 의복") >= 3 then
		self:AddSpec("시전 중 마나 회복량", self:GetManaRegenFromSpi() * 0.05)
	end
	if self:HasStance("내면의 열정") then
		-- 방어도 +2440
		self:AddSpec("방어도", 2440)
		-- 주문력 +120
		self:AddSpec("주문 공격력", 120)
		self:AddSpec("주문 치유량", 120)
		-- 내면의 열정 연마(3) 내면의 열정 효과가 15,30,45%만큼 증가
		self:AddSpec("방어도", 2440 * self:GetTalentPoint("내면의 열정 연마") * 0.15)
		self:AddSpec("주문 공격력", 120 * self:GetTalentPoint("내면의 열정 연마") * 0.15)
		self:AddSpec("주문 치유량", 120 * self:GetTalentPoint("내면의 열정 연마") * 0.15)
		-- 내면의 열정의 문양: 내면의 열정으로 향상되는 방어도가 50%만큼 증가
		if self:HasGlyphs("내면의 열정의 문양") then
			self:AddSpec("방어도", 2440 * 0.5)
		end
	end
end